Bug 220871 - net-p2p/btsync: Rename to net-p2p/rslsync and update to 2.5.6
Summary: net-p2p/btsync: Rename to net-p2p/rslsync and update to 2.5.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Akinori MUSHA
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-07-20 01:05 UTC by Akinori MUSHA
Modified: 2018-05-18 07:13 UTC (History)
5 users (show)

See Also:
joshruehlig: maintainer-feedback+


Attachments
The Patch (12.78 KB, patch)
2017-07-20 01:05 UTC, Akinori MUSHA
no flags Details | Diff
The Patch generated with --patch-compatible (12.83 KB, patch)
2017-07-20 22:10 UTC, Akinori MUSHA
no flags Details | Diff
rslsync patch (11.56 KB, patch)
2017-07-30 07:56 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Akinori MUSHA freebsd_committer 2017-07-20 01:05:56 UTC
Created attachment 184524 [details]
The Patch

BTSync/BitTorrent Sync is now called Resilio Sync and the command name is rslsync.

I've added DIST_SUBDIR to avoid filename clash in the distfiles directory.
Comment 1 joshruehlig 2017-07-20 18:35:36 UTC
Awesome, I have been meaning to do this!
I'll try applying and testing your patch by this weekend.

Did you forget to include rslsync.in, pkg-message, and pkg-desc?


Also, I am thinking we should get rid of all the %%PORTNAME%% references. I thought it was a good idea when I first submitted this port, but I am thinking now it just makes things less human readable with no benefit.


Thanks,
Josh R
Comment 2 Akinori MUSHA freebsd_committer 2017-07-20 22:10:10 UTC
Created attachment 184558 [details]
The Patch generated with --patch-compatible

Hmm, I think I'm no longer good at svn.  I've regenerated a diff with --patch-compatible.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-23 11:33:04 UTC
Reporter is committer, assign accordingly, pending ports (port committer) approval  if necessary
Comment 4 joshruehlig 2017-07-30 07:56:17 UTC
Created attachment 184843 [details]
rslsync patch

I made some changes to the migration you submitted.
Including...

* $WRKSRC/temp hack is no longer needed
* create config before install so it will be included in packages
* Remove instances of $PORTNAME that make things more difficult to read without adding any benefit
* update pkg-desc
Comment 5 joshruehlig 2017-08-08 18:24:55 UTC
Kubilay or Mark, if you have a chance could you review and comment on the diff I submitted?

I believe it should be ready for commit, but am open to feedback.

Thanks,
Josh
Comment 6 joshruehlig 2017-08-23 15:13:30 UTC
@Akinori can you review the patch I submitted? 
We need someone who can commit the changes to review/approve them.
Comment 7 Steffen Schröder 2017-09-27 17:21:24 UTC
Is there anything I could do in order to get this reviewed and committed?
Comment 8 commit-hook freebsd_committer 2018-05-14 02:55:58 UTC
A commit references this bug:

Author: knu
Date: Mon May 14 02:55:54 UTC 2018
New revision: 469847
URL: https://svnweb.freebsd.org/changeset/ports/469847

Log:
  Rename btsync to rslsync and update it to 2.5.12

  PR:		220871
  Submitted by:	knu, joshruehlig@gmail.com (MAINTAINER)

Changes:
  head/GIDs
  head/MOVED
  head/UIDs
  head/net-p2p/Makefile
  head/net-p2p/btsync/
  head/net-p2p/rslsync/
  head/net-p2p/rslsync/Makefile
  head/net-p2p/rslsync/distinfo
  head/net-p2p/rslsync/files/btsync.in
  head/net-p2p/rslsync/files/pkg-message.in
  head/net-p2p/rslsync/files/rslsync.in
  head/net-p2p/rslsync/pkg-descr
  head/net-p2p/rslsync/pkg-plist
Comment 9 Akinori MUSHA freebsd_committer 2018-05-14 03:11:59 UTC
Sorry for the long delay!  I'm finally taking the time and get this committed.
Thank you for your patience!

By the way, would you mind if I added this utility target for ease of future updates?

> maintainer-makesum:
>        for arch in ${ONLY_FOR_ARCHS}; do ${MAKE} DISTINFO_FILE=/dev/stdout ARCH=$$arch makesum; done | awk '$$1 != "TIMESTAMP" || NR == 1' > ${DISTINFO_FILE}
Comment 10 joshruehlig 2018-05-15 00:34:13 UTC
Thanks for committing this and updating it to the latest version!

I haven't looked at this in a while, since I don't personally use Resilio Sync, but when I have the chance can look into implementing 'maintainer-makesum'.
Or if someone who actually uses Resilio Sync wants to take over maintainership that could work too. =]
Comment 11 joshruehlig 2018-05-15 22:41:27 UTC
Something is wrong with the package building server; I keep getting pkg-fallout emails. Look like it is trying to fetch the wrong URL. It is duplicating the DISTNAME.

=> Attempting to fetch https://download-cdn.resilio.com/2.5.12/FreeBSD-x64/resilio-sync_freebsd_x64.tar.gz
resilio-sync_freebsd_x64.tar.gz                          0  B    0  Bps
===> Fetching all distfiles required by rslsync-2.5.12 for building
Comment 12 joshruehlig 2018-05-18 07:13:47 UTC
@Akinori MUSHA
I think your "maintainer-makesum" works great and agree it should be added to the Makefile.